﻿using HeuristicLab.Clients.Hive.WebJobManager.Services;
using Microsoft.AspNet.Hosting;
using Microsoft.AspNet.Http;
using Microsoft.AspNet.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel.Security;
using System.Threading.Tasks;

namespace HeuristicLab.Clients.Hive.WebJobManager.Controllers
{
    public class UserController: Controller
    {
        private WebLoginService weblog;
        private HiveServiceLocatorWeb serviceLocator;
        private HiveServiceClient serviceClient;
        private HiveClientWeb clientWeb;
        private Guid userId;

        private IHostingEnvironment _environment;

        public UserController(IHostingEnvironment env)
        {
            weblog = WebLoginService.Instance;
            var u = HttpContext.Session.GetString("UserId");
            if (u == null || u == "" || Guid.Parse(u) == Guid.Empty)
            {
                userId = Guid.Empty;
                serviceLocator = new HiveServiceLocatorWeb();
                serviceClient = serviceLocator.getHiveServiceClient();
                clientWeb = new HiveClientWeb(serviceLocator, userId);
            }
            else {
                userId = Guid.Parse(u);

                serviceLocator = weblog.getServiceLocator(userId);
                serviceClient = serviceLocator.getHiveServiceClient();
                clientWeb = weblog.getClientWeb(userId);
            }

            _environment = env;
        }
        public IActionResult Index()
        {
            if (serviceLocator.CheckLogin())
            {
                
                ViewBag.Title = "User management";
                return View("Index");
            }
            else
            {
                return RedirectToAction("Index", "Home");
            }
        }
    }
}
